/*
 * @Author: Kane
 * @Date: 2023-10-06 00:44:14
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/dataimport/ImportTelsalersRequest.java
 * @Description: 导入作息列表请求。
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.web.controllers.dataimport;

import com.fasterxml.jackson.annotation.JsonProperty;

public class ImportTelsalersRequest
{
    // 是否全量导入
    @JsonProperty( "fullImport" )
    private boolean fullImport;

    // 文件路径
    @JsonProperty( "filePath" )
    private String  filePath;

    /**
     * 构造函数
     * @param fullImport 是否全量导入
     * @param filePath 文件路径
     */
    public ImportTelsalersRequest( boolean fullImport, String filePath )
    {
        this.fullImport = fullImport;
        this.filePath = filePath;
    }

    public ImportTelsalersRequest()
    {
        this.fullImport = false;
        this.filePath = "";
    }

    public boolean isFullImport()
    {
        return fullImport;
    }

    public void setFullImport( boolean fullImport )
    {
        this.fullImport = fullImport;
    }

    public String getFilePath()
    {
        return filePath;
    }

    public void setFilePath( String filePath )
    {
        this.filePath = filePath;
    }

    @Override
    public String toString()
    {
        return "ImportTelsalersRequest [fullImport=" + fullImport + ", filePath=" + filePath + "]";
    }

    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = 1;
        result = prime * result + (fullImport ? 1231 : 1237);
        result = prime * result + ((filePath == null) ? 0 : filePath.hashCode());
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
            return true;
        if ( obj == null )
            return false;
        if ( getClass() != obj.getClass() )
            return false;
        ImportTelsalersRequest other = (ImportTelsalersRequest) obj;
        if ( fullImport != other.fullImport )
            return false;
        if ( filePath == null )
        {
            if ( other.filePath != null )
                return false;
        }
        else if ( !filePath.equals( other.filePath ) )
            return false;
        return true;
    }
}
